%global momorel 2

Summary: Hardware Health Monitoring Tools
Name: lm_sensors
Version: 2.10.3
Release: %{momorel}m%{?dist}
Group: Applications/System
License: GPL
URL: http://dl.lm-sensors.org/
Source0: http://dl.lm-sensors.org/lm-sensors/releases/%{name}-%{version}.tar.gz
NoSource: 0
Source1: lm_sensors.sysconfig
Source2: lm_sensors.init
Patch2: lm_sensors-2.8.3-redhat.patch
Patch3: lm_sensors-2.8.0-utf8.patch
Patch4: lm_sensors-2.8.2-expr.patch
Patch5: lm_sensors-2.10.1-local.patch
Patch6: lm_sensors-2.8.3-rpath.patch
Patch7: lm_sensors-2.8.7-udev.patch
Patch10: lm_sensors-2.8.5-adm1026id.patch
#Patch22: lm_sensors2-dmi_scan.diff
#Patch23: lm_sensors2-mkpatch.diff
Patch100: lm_sensors-2.10.1-init.patch
#
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# lm_sensors-2.7.0 requires i2c-2.7.0 patched kernel
BuildRequires: kernel-headers >= 2.4.22-28m
BuildRequires: libsysfs-devel
PreReq: chkconfig
Requires: kernel >= 2.4.22-28m
ExclusiveArch: alpha %{ix86} x86_64

%description
The lm_sensors package includes a collection of modules for general SMBus
access and hardware monitoring.  NOTE: this requires special support which
is not in standard 2.2-vintage kernels.

%package devel
Summary: Development files for programs which will use lm_sensors.
Group: Development/System
Requires: lm_sensors = %{version}

%description devel
The lm_sensors-devel package includes a header files and libraries for use
when building applications that make use of sensor data.

%prep
%setup -q
%patch2 -p1 -b .redhat
%patch3 -p1 -b .utf8
%patch4 -p1 -b .expr
%patch5 -p1 -b .local
%patch6 -p1 -b .rpath
%patch7 -p1 -b .udev
%patch10 -p1 -b .adm1026id
%patch100 -p1 -b .noinit

grep -rl /usr/lib . | xargs perl -pi -e's,/usr/lib,%{_libdir},g'
grep -rl '\$(PREFIX)/lib' . | xargs perl -pi -e's,\$\(PREFIX\)/lib,\$\(PREFIX\)/%{_lib},g'
mv prog/hotplug/p4b_smbus.c prog/hotplug/82801_smbus.c
mv prog/hotplug/Makefile.p4b prog/hotplug/Makefile.i82801
perl -pi -e's,p4b,82801,g' prog/hotplug/Makefile.i82801

%build
mkdir -p kernel/include/linux
ln -sf /usr/include/linux/* kernel/include/linux
make user prefix=/usr exec_prefix=/usr bindir=/usr/bin sbindir=/usr/sbin sysconfdir=/etc datadir=/usr/share includedir=/usr/include libdir=%{_libdir} libexecdir=/usr/libexec localstatedir=/var sharedstatedir=/usr/com mandir=/usr/share/man infodir=/usr/share/info

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make prefix=/usr exec_prefix=/usr bindir=/usr/bin sbindir=/usr/sbin sysconfdir=/etc datadir=/usr/share includedir=/usr/include libdir=%{_libdir} libexecdir=/usr/libexec localstatedir=/var sharedstatedir=/usr/com mandir=/usr/share/man infodir=/usr/share/info DESTDIR=$RPM_BUILD_ROOT user_install
chmod 755 %{buildroot}%{_libdir}/*.so*

# remove dmidecode from the buildroot
rm -f %{buildroot}%{_sbindir}/dmidecode
mv prog/init/README prog/init/README.initscripts

# Remove userland kernel headers, belong in glibc-kernheaders.
rm -rf %{buildroot}%{_includedir}/linux

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/lm_sensors
mkdir -p %{buildroot}%{_initscriptdir}
install -m 0755 %{SOURCE2} %{buildroot}%{_initscriptdir}/lm_sensors
perl -pi -e 's|\"i2cdetect|\"/usr/sbin/i2cdetect|g' %{buildroot}%{_sbindir}/sensors-detect

%post
/sbin/ldconfig
/sbin/chkconfig --add lm_sensors

%postun -p /sbin/ldconfig

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del lm_sensors
fi


%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc BACKGROUND BUGS CHANGES CONTRIBUTORS COPYING doc INSTALL QUICKSTART README* TODO prog/init/*
%config(noreplace) %{_sysconfdir}/sensors.conf
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man*/*
%{_sbindir}/*
%config %{_initscriptdir}/lm_sensors
%config(noreplace) %{_sysconfdir}/sysconfig/lm_sensors

%files devel
%defattr(-,root,root)
%{_includedir}/sensors
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.10.3-2m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Mon Apr 16 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.10.3-1m)
- update to 2.10.3

* Mon Mar 19 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10.1-3m)
- add non init patch

* Mon Jan 29 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10.1-2m)
- separate devel package for xfce4-sensors-plugin

* Fri Jan 12 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.10.1-1m)
- update to 2.10.1
- update Patch5: lm_sensors-2.10.1-local.patch

* Mon Nov  6 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.10.0-3m)
- rebuild against sysfsutils
- change BuildRequires: libsysfs-devel

* Mon Jul 31 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.10.0-2m)
- remove Patch1: lm_sensors-2.5.5-glibc22.patch

* Fri Feb 17 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.10.0-1m)
- version up
- remove Patch24: lm_sensors-2.9.0-init.patch
- remove Patch25: lm_sensors-2.9.0-bmcsensors.patch

* Thu Feb 24 2005 Toru Hoshina <t@momonga-linux.org>
- (2.9.0-1m)
- version up.
- based on [Momonga-devel.ja:02992] Thanks to M Sato <m.sato@screen.co.jp>

* Sun Feb  6 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.8.7-4m)
- enable x86_64.

* Wed Jan 19 2005 mutecat <mutecat@momonga-linux.org>
- (2.8.7-3m)
- remove lm_sensors.ppc.patch

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.7-2m)
- stop daemon

* Mon Jun 21 2004 muradaikan <muradaikan@momonga-linux.org>
- (2.8.7-1m)
- version update to 2.8.7
- change spec to build against linux kernel 2.6.x
     make    	  -> make user
     make install -> make user_install

* Mon May 17 2004 mutecat <mutecat@momonga-linux.org>
- (2.8.4-3m)
- change lm_sensors.ppc.patch

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (2.8.4-2m)
- revised spec for enabling rpm 4.2.

* Fri Feb 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8.4-1m)
- update to 2.8.4

* Thu Nov 20 2003 zunda <zunda at freeshell.org>
- (2.8.1-2m)
- lm_sensors-2.8.1.sensors-path.patch corrects the path from
  /usr/local/bin/sensors to /usr/bin/sensors

* Mon Nov 17 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.8.1-1m)
- update to 2.8.1
- replace my old e-mail addresses in this spec file
- add more files to %%files

* Sun Feb  2 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2.7.0-1m)
- update to 2.7.0
- change URL
- move i2c-mkdev.sh from /dev to %%{_sbindir}
- add %%{_initscriptdir}/lm_sensors

* Sat Jul 20 2002 Kazuhiko <kazuhiko@fdiary.net>
- (2.6.4-1m)
- minor feature enhancements

* Sun May 26 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (2.6.3-3k)
- revise Source0:

* Sun Mar 31 2002 MATSUDA, Daiki <dyky@dyky.org>
- (2.6.3-2k)
- update to 2.6.3

* Tue Nov 20 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.2-2k)
- update to 2.6.2

* Mon Sep  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.1-2k)
- update to 2.6.1

* Wed Aug 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.1-0.020010814002k)
- update to 2.6.1-20010814(CVS) for kernel-2.4.8

* Sun Jul 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.6.0-2k)
- update to 2.6.0

* Tue Mar 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.5-2k)
- update to 2.5.5

* Tue Mar 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-6k)
- fixed for ppc

* Tue Dec 19 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-5k)
- added alpha.prog.dump.isadump.c.patch for Alpha
- added i2c-mkdev.sh

* Mon Dec 18 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (2.5.4-3k)
- Initial Kondarization
